Subject: [bug#60320] [PATCH] doc: Improve user-group documentation.

From: Julien Lepiller <[email-masked]>
Date: Mon, 26 Dec 2022 07:43:46 +0100

I think the group was created, but you probably forgot to add yourself to that new group. At least, what you show us looks correct, for adding a group to you os declaration.

Note your user-group example is unbalanced. The manual is a bit long to read, but it seems correct to me.

Le 25 décembre 2022 22:19:00 GMT+01:00, Simon Josefsson via Guix-patches via <[email-masked]> a écrit :
>Hi.
>
>Not knowing better I added this to my operating-system form:
>
>  (groups (cons* (user-group
>                  (name "jas")
>                  (id "1000"))
>                %base-groups))
>
>Running 'guix system reconfigure /etc/config.scm' worked fine, and upon
>boot I was placed in group 30001.  Any idea what happened?  A warning
>would have been nice.
>
>If there had been an example in the manual I wouldn't have made the
>mistake, so the attached patch improves this manual page:
>https://guix.gnu.org/en/manual/en/html_node/User-Accounts.html#User-Accounts
>
>/Simon